<?php
! defined( 'ABSPATH' ) and exit;

require_once( dirname(__FILE__) . '/polyfill.php');

if ( !function_exists('amzStore_bulk_wp_exist_post_by_args') ) {
	function amzStore_bulk_wp_exist_post_by_args( $args ) {
		global $WooZone;
		return $WooZone->bulk_wp_exist_post_by_args( $args );
	}
}

if ( !function_exists('WooZone') ) {
	function WooZone() {
		global $WooZone;
		return $WooZone;
	}
}

if ( !function_exists('WooZone_session_start') ) {
	function WooZone_session_start() {

		// we'll skip session init if on site health page
		$is_site_health = false;
		if (
			( isset($_SERVER['REQUEST_URI']) && strpos( $_SERVER['REQUEST_URI'], 'site-health.php') )
			|| ( isset($_SERVER['HTTP_REFERER']) && strpos( $_SERVER['HTTP_REFERER'], 'site-health.php') )
		) {
			$is_site_health = true;
		}

		$session_id = null;
		if ( isset($_COOKIE['PHPSESSID']) ) {
			$session_id = $_COOKIE['PHPSESSID'];
		}
		else if ( isset($_REQUEST['PHPSESSID']) ) {
			$session_id = $_REQUEST['PHPSESSID'];
		}
		else {
			$session_id = session_id();
		}

		if ( $session_id ) {
			$session_id = wp_unslash( $session_id );
			session_id( $session_id );
		}


		$sess_start = -1;
		$new_sess_id = -1;

		if ( ! $is_site_health ) {
			// session isn't started
			$sess_start = @session_start();

			$new_sess_id = session_id();
		}

		return array(
			'session_id' => $session_id,
			'session_start' => $sess_start,
			'new_sess_id' => $new_sess_id,
		);
	}
}

if ( !function_exists('WooZone_session_close') ) {
	function WooZone_session_close() {
		session_write_close(); // close the session
		//session_destroy();
	}
}

if ( !function_exists('WooZoneDebug') ) {
	function WooZoneDebug() {
		return defined( 'WOOZONE_DEBUG' ) ? WOOZONE_DEBUG : 0;
	}
}

if ( !function_exists('WooZone_product_by_asin') ) {
	function WooZone_product_by_asin( $asins=array() ) {
		global $WooZone;
		return $WooZone->product_by_asin( $asins );
	}
}

if ( !function_exists('WooZone_get_plugin_data') ) {
	function WooZone_get_plugin_data( $path='' ) {
		if ( empty($path) ) {
			$path = str_replace('aa-framework/', '', plugin_dir_path( (__FILE__) )) . "plugin.php";
		}
  
		$source = file_get_contents( $path );
		$tokens = token_get_all( $source );
		$data   = array();
		if( trim($tokens[1][1]) != "" ){
			$__ = explode("\n", $tokens[1][1]);
			foreach ($__ as $key => $value) {
				$___ = explode(": ", $value);
				if( count($___) == 2 ){
					$data[trim(strtolower(str_replace(" ", '_', $___[0])))] = trim($___[1]);
				}
			}               
		}
  
		// For another way to implement it:
		//      see wp-admin/includes/update.php function get_plugin_data
		//      see wp-includes/functions.php function get_file_data
		return $data;  
	}
}

if ( !function_exists('WooZone_generateRandomString') ) {
	function WooZone_generateRandomString( $length = 10 ) {
		$characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
		$charactersLength = strlen($characters);
		$randomString = '';
		for ($i = 0; $i < $length; $i++) {
			$randomString .= $characters[rand(0, $charactersLength - 1)];
		}
		return $randomString;
	}
}

if ( !function_exists('WooZone_asset_path') ) {
	function WooZone_asset_path( $asset_type='css', $path='', $is_wp_enqueue=false, $pms=array() ) {
		global $WooZone;
		return $WooZone->plugin_asset_get_path( $asset_type, $path, $is_wp_enqueue, $pms );
	}
}

if ( !function_exists('WooZone_asset_version') ) {
	function WooZone_asset_version( $asset_type='css', $pms=array() ) {
		global $WooZone;
		return $WooZone->plugin_asset_get_version( $asset_type, $pms );
	}
}

if ( !function_exists('WooZone_debugbar') ) {
	function WooZone_debugbar() {
		global $WooZone;
		return $WooZone->debugbar;
	}
}

if ( !function_exists('WooZone_doing_it_wrong') ) {
	function WooZone_doing_it_wrong( $function, $message, $version ) {
		global $WooZone;
		return $WooZone->doing_it_wrong( $function, $message, $version );
	}
}

if ( !function_exists('WooZone_get_template') ) {
	function WooZone_get_template( $template_name, $pms=array() ) {
		global $WooZone;
		return $WooZone->tplsystem_get_template( $template_name, $pms );
	}
}

if ( !function_exists('WooZone_get_template_html') ) {
	function WooZone_get_template_html( $template_name, $pms=array() ) {
		global $WooZone;
		return $WooZone->tplsystem_get_template_html( $template_name, $pms );
	}
}

if ( !function_exists('WooZone_locate_template') ) {
	function WooZone_locate_template( $template_name, $pms=array() ) {
		global $WooZone;
		return $WooZone->tplsystem_locate_template( $template_name, $pms );
	}
}

if ( !function_exists('WooZone_dropshiptax_is_active') ) {
	function WooZone_dropshiptax_is_active() {
		global $WooZone;
		return $WooZone->dropshiptax_is_active();
	}
}

if ( !function_exists('WooZone_disable_amazon_checkout') ) {
	function WooZone_disable_amazon_checkout() {
		global $WooZone;
		return $WooZone->disable_amazon_checkout;
	}
}

if ( !function_exists('WooZone_get_post_meta') ) {
	function WooZone_get_post_meta( $post_id, $key='', $single=false, $withPrefix=true ) {
		global $WooZone;
		return $WooZone->get_post_meta( $post_id, $key, $single, $withPrefix );
	}
}

if ( !function_exists('WooZoneDirectImport') ) {
	function WooZoneDirectImport() {
		global $WooZone;
		return $WooZone->DirectImport;
	}
}